cwltool (3.1.20241112140730-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Dec 2024 00:01:11 +0100

cwltool (3.1.20241024121129-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches, dropped "remove-python3-shellescape"
    and "drop-old-deps" as they were applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 24 Oct 2024 15:58:56 +0200

cwltool (3.1.20240909164951-3) unstable; urgency=medium

  * Added patch to trim the Python instal_requires to avoid bringing in the
    soon-to-be removed python3-pkg-resources. Closes: #1083349
  * d/patches/remove-python3-shellescape: fix metadata, patch is
    forwarded upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 04 Oct 2024 17:04:41 +0200

cwltool (3.1.20240909164951-2) unstable; urgency=medium

  * Team Upload
  * Remove last user of old python3-shellescape
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Sep 2024 13:33:27 +0200

cwltool (3.1.20240909164951-1) unstable; urgency=medium

  * New upstream version
  * refreshed patch

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 12 Sep 2024 15:33:22 +0200

cwltool (3.1.20240708091337-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 13:39:14 +0200

cwltool (3.1.20240508115724-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Jun 2024 18:24:58 +0200

cwltool (3.1.20240404144621-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Apr 2024 11:39:23 +0200

cwltool (3.1.20240404144621-1) unstable; urgency=medium

  * New upstream version
  * d/upstream/metadata: mention the CACM paper.
  * d/{control,rules}: build and package the HTML docs.
  * d/control: link to the Read The Docs page for cwltool, not the main
    CWL project website.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Apr 2024 16:48:33 +0300

cwltool (3.1.20240112164112-2) unstable; urgency=medium

  * d/control: removed unused dependency on python3-rdflib-jsonld. That
    functionality has been a part of python3-rdflib since 6.x.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jan 2024 16:39:23 +0100

cwltool (3.1.20240112164112-1) unstable; urgency=medium

  * New upstream version
  * refresh prov-disabling patch.
  * d/control: remove outdated build-deps, add spython.
  * update prov patch

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jan 2024 12:35:17 +0100

cwltool (3.1.20230906142556-1) unstable; urgency=medium

  * New upstream version
  * Drop two patches applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 06 Sep 2023 17:28:30 +0200

cwltool (3.1.20230719185429-3) unstable; urgency=medium

  * d/control: The tests expect a newer version of schema-salad.
  * d/tests/run-unit-test: increase verbosity

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Aug 2023 13:30:50 +0200

cwltool (3.1.20230719185429-2) unstable; urgency=medium

  * d/control: Update breaks for Toil to be less than 5.11.0.
  * d/test/run-tests: cleanup temp directory automatically.
  * debian/patches/test_relax_whitespace_check: add patch to fix a test
    that was having issues with varying terminal widths.
  * d/control: add jq to build-deps to enable another test.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 22 Aug 2023 16:23:14 +0200

cwltool (3.1.20230719185429-1) unstable; urgency=medium

  * New upstream version
  * d/control: add build-dep on python3-importlib-resources
  * d/control: require setuptools, not distutilts

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Aug 2023 20:49:27 +0200

cwltool (3.1.20230601100705-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Refresh patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 09 Jun 2023 17:15:42 +0200

cwltool (3.1.20230209161050-1) unstable; urgency=medium

  * New upstream version
    Tests no longer produce side-effects. Closes: #1030713, #1030714
  * Refresh patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 09 Feb 2023 18:18:06 +0100

cwltool (3.1.20230201224320-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Update lintian override info format in d/cwltool.lintian-overrides on line
    5.
  * refresh patches
  * add build-dep for pybuild-plugin-pyproject
  * require schema-salad 8.4

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 Feb 2023 18:43:09 +0100

cwltool (3.1.20221201130942-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Dec 2022 12:28:47 +0100

cwltool (3.1.20221109155812-1) unstable; urgency=medium

  * New upstream version
  * d/rules,d/tests/run-test: ignore another udocker test

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 18 Nov 2022 14:07:57 +0100

cwltool (3.1.20221008225030-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Update lintian override info to new format on line 1, 2, 3.
  * Refresh disable_prov
  * build-dep on python3-cwl-utils
  * most <!nocheck> markers should also have <!nodoc> due to how
    we build the manual page
  * skip test_http_input.py as pytest-httpserver is not yet packaged for
    Debian

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 16 Oct 2022 16:14:56 +0200

cwltool (3.1.20220224085855-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Apr 2022 17:07:15 +0200

cwltool (3.1.20220119140128-2) unstable; urgency=medium

  * d/control: This release of cwltool breaks toil package versions
    before 5.6.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Jan 2022 10:38:47 +0100

cwltool (3.1.20220119140128-1) unstable; urgency=medium

  * New upstream version
  * debian/rules: skip fewer tests, document reasons for the
    remaining skips

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Jan 2022 16:02:29 +0100

cwltool (3.1.20211104071347-3) unstable; urgency=medium

  * Team upload.

  [ Chris Lamb ]
  * Make build reproducible
    Closes: #1001277

 -- Andreas Tille <tille@debian.org>  Sun, 12 Dec 2021 07:45:19 +0100

cwltool (3.1.20211104071347-2) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Update Breaks for toil << 5.5.0-5

  [ Andreas Tille ]
  * Depends: python3-distutils
    Closes: #999556

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2021 08:48:03 +0100

cwltool (3.1.20211104071347-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches.
  * Remove debian/patches/fix-test_malformed_reqs; applied upstream.
  * Bump minimum schema-salad version to 8.2.20211104054942.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Nov 2021 11:53:50 +0100

cwltool (3.1.20210922203925-4) unstable; urgency=medium

  * Increase resiliance of test_malformed_reqs

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Oct 2021 09:36:35 +0200

cwltool (3.1.20210922203925-3) unstable; urgency=medium

  * Autopkgtests: Correct name of pytest package.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 12:51:53 +0200

cwltool (3.1.20210922203925-2) unstable; urgency=medium

  * This version break toil versions of less than 5.5.
  * pytest 6.2+ is the minimum version required.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 12:19:28 +0200

cwltool (3.1.20210922203925-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Refresh patches.
  * Suggest podman
  * Needs at least version 8.2.20210914115719 of python3-schema-salad.
  * New build-dep: python3-typing-extensions
  * tweak an override

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Sep 2021 20:46:09 +0200

cwltool (3.0.20210124104916-3) unstable; urgency=high

  * debian/control: this version of cwltool breaks toil less than
    version 5.
  * Add unminified version of jshint 2.12.0 to debian/missing-sources/
  * debian/patches/add_interps: add missing "#!/usr/bin/env cwl-runner"
  * Silence lintian false-positives.
  * debian/rules: Delete cruft after running the build-time tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Jan 2021 10:36:01 +0100

cwltool (3.0.20210124104916-2) unstable; urgency=high

  * Remove reference to the un-packaged bagit Python module.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 19:24:44 +0100

cwltool (3.0.20210124104916-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * debian/control: new dep: argcomplete
  * debian/rules: adjust to changes in udocker test names.
  * Drop unneeded pytest 4.x patch.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 17:23:49 +0100

cwltool (3.0.20200807132242-5) unstable; urgency=high

  * debian/control: bump schema-salad dependency to 7.0.20200811075006-2

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 11:30:08 +0100

cwltool (3.0.20200807132242-4) unstable; urgency=high

  * debian/patches/rdflib5: add compatibility with python3-rdflib >= 5.0
    Closes: #978295

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 10:29:33 +0100

cwltool (3.0.20200807132242-3) unstable; urgency=medium

  * Team upload.
  * Abbreviated option names are no longer allowed in pytest 6
    Closes: #977067
  * Standards-Version: 4.5.1

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2020 22:19:00 +0100

cwltool (3.0.20200807132242-2) unstable; urgency=medium

  * Team upload.
  * Depends: python3-arcp
    Closes: #969666

 -- Andreas Tille <tille@debian.org>  Thu, 10 Sep 2020 13:43:51 +0200

cwltool (3.0.20200807132242-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Refresh patches
  * Needs python3-schema-salad >=7
  * New dependency: python3-pydot

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Aug 2020 11:21:49 +0200

cwltool (3.0.20200324120055+dfsg-2) unstable; urgency=medium

  * Allow newer ruamel.yaml version. Closes: #963318

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jun 2020 10:38:55 +0200

cwltool (3.0.20200324120055+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Andreas Tille ]
  * Bug #954640 of python3-humanfriendly was fixed
    Closes: #954496

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Apr 2020 15:16:28 +0200

cwltool (2.0.20200224214940+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 26 Feb 2020 12:50:44 +0100

cwltool (2.0.20200126090152+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 13:16:02 +0100

cwltool (1.0.20190915164430+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Sep 2019 21:17:19 +0200

cwltool (1.0.20190815141648+dfsg-2) unstable; urgency=medium

  * Fix AutoPkgTest requirements (Closes: #935579)
  * debian/patches/s390x-no-sys-class-power.patch: Fix s390x build,
    courtesy Steve Langasek <steve.langasek@ubuntu.com>, thanks!
    Closes: #935743

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 26 Aug 2019 07:16:17 +0200

cwltool (1.0.20190815141648+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * debian/patches/pathlib2: no need for this backport with Python 3.7

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 13 Aug 2019 15:29:27 +0200

cwltool (1.0.20181217162649+dfsg-10) unstable; urgency=medium

  * Make explicit the dependency on python3-mypy-extenions.
    Closes: #920251, #920270

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 22 Jan 2019 16:01:42 -0800

cwltool (1.0.20181217162649+dfsg-9) unstable; urgency=medium

  * Switch to python3-mypy-extensions
  * AutoPkgTest: Skip udocker tests if running as root
  * Build profiles: nodoc support, more nocheck support

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 19 Jan 2019 04:35:36 -0800

cwltool (1.0.20181217162649+dfsg-8) unstable; urgency=medium

  * debian/tests/control: udocker test needs python2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 14:53:08 -0800

cwltool (1.0.20181217162649+dfsg-7) unstable; urgency=medium

  * debian/tests/control: singularity is also not working inside autopkgtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 08:55:07 -0800

cwltool (1.0.20181217162649+dfsg-6) unstable; urgency=medium

  * debian/tests/control: testing with Docker doesn't work; add curl

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 30 Dec 2018 22:48:06 -0800

cwltool (1.0.20181217162649+dfsg-5) unstable; urgency=medium

  * debian/tests/control: needed python3-pytest-mock, not python3-mock

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 29 Dec 2018 05:36:37 -0800

cwltool (1.0.20181217162649+dfsg-4) unstable; urgency=medium

  * Keep python3-prov dependency to minimize our changes, but keep the --
    provenance feature disabled.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 27 Dec 2018 05:12:15 -0800

cwltool (1.0.20181217162649+dfsg-3) unstable; urgency=medium

  * Fix our patches to the tests, run them in parallel

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Dec 2018 11:51:11 -0800

cwltool (1.0.20181217162649+dfsg-2) unstable; urgency=medium

  * debian/tests/control: fix typo in name of py.test-3
  * Standards-Version: 4.3.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Dec 2018 07:36:03 -0800

cwltool (1.0.20181217162649+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * New upstream release.
  * Now shipping Python 3 version
  * Remove --provenance feature until python3-prov 1.5.2+ issue is
    resolved.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 23 Dec 2018 15:24:58 -0800

cwltool (1.0.20180302231433-1) unstable; urgency=medium

  * New upstream release (Closes: #891752)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 05 Mar 2018 06:44:41 -0800

cwltool (1.0.20180225105849-1) unstable; urgency=medium

  * New upstream release
  * Improve package description.
  * Add python-mock dependency for AutoPkgTests.
  * Enable running the tests during the build.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 28 Feb 2018 04:48:16 -0800

cwltool (1.0.20180211183944-2) unstable; urgency=medium

  * Provide the "cwl-runner" virtual package.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Feb 2018 05:27:36 -0800

cwltool (1.0.20180211183944-1) unstable; urgency=medium

  * New upstream version.
  * Expose the unit tests to autopkgtest
  * Mark all *.cwl files as executable

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 11:00:57 -0800

cwltool (1.0.20171221100033-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Versioned Build-Depends: python-schema-salad (>= 2.6.20171201034858-2~)
  * New Build-Depends: python-ruamel.ordereddict
  * Drop unneeded ruamel.yaml version check
    Closes: #882437
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2017 09:32:19 +0100

cwltool (1.0.20170810192106-2) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * d/upstream/metadata: Fix Syntax
  * Standards-Version: 4.1.0
  * This version has no restriction on python-typing version any more
    Closes: #868614

  [ Fabian Klötzl ]
  * d/upstream/metadata: Fix Bug-Submit URL (closes: #874355)

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Wed, 20 Sep 2017 12:10:17 +0200

cwltool (1.0.20170810192106-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to registry databases,
    to SciCrunch SCR_015528 in particular
  * Added build-dep on python-rdflib
  * Bumped policy to 4.0.1

  [ Sascha Steinbiss ]
  * Add missing build-dep on python-avro.

  [ Michael R. Crusoe ]
  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 11 Aug 2017 05:05:36 -0700

cwltool (1.0.20170114120503-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add cwltool as an alternative implementation for cwl-runner.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 14 Jan 2017 12:49:30 +0000

cwltool (1.0.20170111193653-1) unstable; urgency=medium

  * Team upload

  [ Michael R. Crusoe ]
  * New upstream release

  [ Andreas Tille ]
  * Add missing Build-Depends: python-keepalive
    Closes: #845982
  * d/watch: version=4
  * debhelper 10
  * Add python-typing as Build-Depends and comment patch to skip it
  * Do not try to create manpage for removed tool cwltest
    Closes: #848809
  * Remove empty template for upstream metadata
  * Add Build-Depends: python-ruamel.yaml (>=0.12.4)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 12 Jan 2017 21:29:55 -0800

cwltool (1.0.20160209222805-1) unstable; urgency=medium

  * Initial release. (Closes: #814000)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Mon, 22 Feb 2016 21:22:21 +0100
